class TimeTrackerUsersDataController < ApplicationController

  if Redmine::VERSION::MAJOR == 1 and Redmine::VERSION::MINOR <= 3
    accept_key_auth :set, :get
  else
    accept_api_auth :set, :get
  end

  #
  # Set data.
  # params['data'] Array
  #
  def set
    begin
      params[:data].each do |param, value|
        #Clear user data before save
        if param === 'users'
          value = RttaUserData.clear_user_data(value)
        end

        if Redmine::VERSION::MAJOR <= 4
          RttaUserData.where(user_id: User.current.id, param: param)
                      .first_or_create!
                      .update_attributes!(value: value.to_json)
        else
          RttaUserData.where(user_id: User.current.id, param: param)
                      .first_or_create!
                      .update!(value: value.to_json)
        end
      end

      render :json => RttaUserData.get_user_data
    rescue => e
      message = "RTTA. Save users data error: #{e.message}"
      Rails.logger.error message
      render :json => {message: message}
    end
  end

  def get
    begin
      RttaUserState.update_user_states_order
      render :json => RttaUserData.get_user_data
    rescue => e
      message = "RTTA. Get users data error: #{e.message}"
      Rails.logger.error message
      render :json => {message: message}
    end
  end
end
