module Validations
  class UpdateUserStatesData
    include ActiveModel::Validations

    attr_accessor :status, :issues_ids, :projects_ids

    validates :status, presence: true, inclusion: { in: %w(working paused offline), message: "%{value} is not a valid status" }
    # validates :issues_ids, presence: true, allow_nil: true, allow_blank: true

    def initialize(params = {})
      @status = params[:status]
      @issues_ids = params.key?(:issues_ids) ? (params[:issues_ids].is_a?(Array) ? params[:issues_ids] : []) : []
      @projects_ids = params.key?(:projects_ids) ? (params[:projects_ids].is_a?(Array) ? params[:projects_ids] : []) : []

      # ActionController::Parameters.new(params).permit(:status, :issues_ids)
    end
  end
end