class RttaAppRequest < ActiveRecord::Base
  REQUEST_IDS_MAX_LENGTH = 10
  CLEAN_DATA_DAY_RANGE = 14

  def self.clean_old
    where("updated_at < ?", CLEAN_DATA_DAY_RANGE.days.ago).delete_all
  end

  def add_request_id(request_id)
    # Convert data from db to array
    begin
      request_ids_arr = JSON.parse(request_ids)
    rescue StandardError =>e
      request_ids_arr = []
    end

    # Ensure request_ids_arr is array
    request_ids_arr = [] unless request_ids_arr.is_a?(Array)

    # Add request_id
    request_ids_arr.push request_id

    # Save only last N element
    request_ids_arr.shift if request_ids_arr.length > REQUEST_IDS_MAX_LENGTH

    # Save data back as json
    write_attribute(:request_ids, request_ids_arr.to_json)
  end
end
