require "net/http"

class SocketClient
  def initialize(host, port)
    @host = host
    @port = port
    Rails.logger.info "#{Time.now.strftime("%H:%M:%S")} users_data socket before create: #{@socket}"
    @socket = TCPSocket.new @host, @port
    Rails.logger.info "#{Time.now.strftime("%H:%M:%S")} users_data socket after create: #{@socket}"
  end

  def send(msg)
    @socket.write(with_credentials(msg).to_json + "\r\n\r\n")
    @socket.close
  end

  def receive(request)
    Rails.logger.info "#{Time.now.strftime("%H:%M:%S")} users_data before socket write"
    @socket.write(with_credentials(request).to_json + "\r\n\r\n")
    Rails.logger.info "#{Time.now.strftime("%H:%M:%S")} users_data after socket write"
    # @socket.write "\r\n"
    # @socket.write "\r\n"
    # response = @socket.recv(RECV_LENGTH)
    response = @socket.gets
    Rails.logger.info "#{Time.now.strftime("%H:%M:%S")} users_data after socket gets"
    @socket.close
    Rails.logger.info "#{Time.now.strftime("%H:%M:%S")} users_data after socket close"

    response
  end

  def with_credentials(msg)
    msg[:simple_socket] = true
    msg[:login] = User.current.login
    msg[:key] = User.current.hashed_password
    msg
  end
end
