RTTA_DEFAULT_SETTINGS = '{"IS_AUTO_SEND": {"value": true, "readonly": true, "type": "bool"},"INACTIVE_TIME": {"value": 10, "readonly": true, "type": "time"},"REMINDER_POPUP": {"value": 15, "readonly": true, "type": "time"},"DEBUG_MODE": {"value": true, "readonly": true, "type": "bool"},"SEND_TIME": {"value": 5, "readonly": false, "type": "time"},"THEME_TYPE": {"value": "light", "readonly": false, "type": "theme"},"MULTIPLE_ISSUES": {"value": false, "readonly": true, "type": "bool"},"TIME_TRACKING_COMMENT_REQUIRED":{"value":false,"readonly":true,"type":"bool"},"STATUS_AUTO_CHANGE": {"value": false, "readonly": false, "type": "bool"},"STATUS_START": {"value": "", "readonly": false, "type": "status"},"STATUS_STOP": {"value": "", "readonly": false, "type": "status"},"PRIORITIES_ORDER": {"value": [5, 4, 3, 2, 1], "readonly": true, "type": "priorities_order"},"PRIORITIES_COLORS":{"value":{"1":"#ffffff","2":"#DEDEDE","3":"#F2994A","4":"#EB5757","5":"#AB011F"},"readonly":true,"type":"priorities_color"}}'

if Redmine::VERSION::MAJOR >= 4
  class CreateRttaSettings < ActiveRecord::Migration[4.2]
    def change
      create_table :rtta_settings do |t|
        t.integer :item_id
        t.string :item_type
        t.text :params
        # t.timestamps
      end

      RttaSetting.create(
          item_id: 0,
          item_type: 'default',
          params: RTTA_DEFAULT_SETTINGS
      )
    end

    # def down
    #   drop_table :rtta_settings
    # end
  end
else
  class CreateRttaSettings < ActiveRecord::Migration
    def change
      create_table :rtta_settings do |t|
        t.integer :item_id
        t.string :item_type
        t.text :params
        # t.timestamps
      end

      RttaSetting.create(
          item_id: 0,
          item_type: 'default',
          params: RTTA_DEFAULT_SETTINGS
      )
    end

    # def down
    #   drop_table :rtta_settings
    # end
  end
end
