require 'redmine'
if Redmine::VERSION::MAJOR <= 4
  require 'redmine_time_tracker_administrator_hl'
  require 'rtta_user_patch'
else
  require File.dirname(__FILE__) + '/lib/redmine_time_tracker_administrator_hl.rb'
  require File.dirname(__FILE__) + '/lib/rtta_user_patch.rb'
end


Redmine::Plugin.register :redmine_time_tracker_administrator do
  name 'Time tracker administrator'
  author 'Ukrsolution'
  description 'Centralized administration of time tracker desktop application.'
  version '3.1.9'
  url 'https://ukrsolution.com'
  author_url 'http://ukrsolution.com'

  menu :top_menu,
       :redmine_time_tracker_administrator,
       { controller: 'time_tracker_administrator', action: 'menu_item' },
       # {caption: '', after: :projects, html: {id: 'rtta_top_menu'}}
       {caption: '', last: true, html: {id: 'rtta_top_menu'}}
  menu :top_menu,
       :redmine_stuff_manager,
       { controller: 'time_tracker_stuff_manager', action: 'index' },
       {
           caption: :staff_manager_title,
           if: Proc.new { User.current.allowed_to?(:view_staff_manager, nil, :global => true)},
           # last: true,
           html: {id: 'rtt_stuff_manager_top_menu'}
       }

  permission :display_time_tracker_player, :time_tracker_administrator => []
  permission :view_staff_manager, :rtt_stuff_manager => []

  settings :default => {
      'activation_key' => '',
      'socket_port' => 47123,
      'plugin_enabled' => true,
  }, :partial => 'settings/redmine_time_tracker_administrator_settings'
end

Rails.configuration.to_prepare do
  Setting.rest_api_enabled = 1
end